> For the complete documentation index, see [llms.txt](https://docs-conversational-ai.syntphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-conversational-ai.syntphony.com/voice-gateway/evg-connector/configure-dnis.md).

# Configure DNIS

The following JSON contains all the data and configurable properties you must provide eva.

This JSON allows you to insert the default DNIS configurations, including setting up a Conversation Property (voice providers).

These properties can be modified individually within the flows by utilizing the "technical text" field of the answer cells, as demonstrated ahead in this documentation.

Please refer to each property table to understand the configurable fields used in the JSON and their reference values: [**TTS** ](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#tts-configurations)(text-to-speech) properties, such as **BargeIn** and **Flush**, used in [audio ](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#audio-template)and [text ](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#text-template)answer templates, [**Play Silence**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#play-silence), [**DTMF menu**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#dtmf-menu), [**Voice menu**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#voice-menu), [**Transfer**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#transfer-to-human), [**Fetch**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#fetch), [**Default Error Behaviour**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#default-error-behavior), [**Regional Expressions**](https://docs.eva.bot/voice-gateway/voice-gateway/building-a-voice-agent-with-voice-gateway#synonymous-for-regional-expressions), etc.&#x20;

<details>

<summary>JSON for DNIS configuration</summary>

```json
{
   "dnis":"913",
   "properties":{
      "tts":{
         "bargeIn":false,
         "flush":false,
         "bargeInOffset":200,
         "mask":"\u003cspeak xmlns\u003d\u0027http://www.w3.org/2001/10/synthesis\u0027 xmlns:mstts\u003d\u0027http://www.w3.org/2001/mstts\u0027 xmlns:emo\u003d\u0027http://www.w3.org/2009/10/emotionml\u0027 version\u003d\u00271.0\u0027 xml:lang\u003d\u0027en-US\u0027\u003e\u003cvoice name\u003d\u0027pt-BR-FranciscaNeural\u0027\u003e\u003cprosody rate\u003d\u0027-15%\u0027 pitch\u003d\u00270%\u0027\u003e $TEXT \u003c/prosody\u003e\u003c/voice\u003e\u003c/speak\u003e",
         "voiceProvider":"MICROSOFT",
         "microsoftTtsConfig":{
            "region":"brazilsouth",
            "subscriptionKey":"***",
            "language":"pt-BR"
         }
      },
      "audio":{
         "bargeIn":false,
         "flush":false,
         "bargeInOffset":200
      },
      "playSilence":{
         "time":50,
         "bargeIn":false,
         "flush":false
      },
      "dtmfMenu":{
         "numOfDigits":1,
         "timeout":20000,
         "interDigitTimeout":3000,
         "termTimeout":500,
         "termChar":"#"
      },
      "voiceMenu":{
         "sensitivity":0.01,
         "maxSpeechTimeout":30000,
         "timeout":20000,
         "incompleteTimeout":20000,
         "voiceProvider":"MICROSOFT",
         "microsoftAsrConfig":{
            "region":"brazilsouth",
            "subscriptionKey":"***",
            "language":"pt-BR"
         }
      },
      "transfer":{
         "uui":"evatest",
         "dest":"1234@172.16.0.7"
      },
      "fetch":{
         "fetchTimeout":45000,
         "fetchAudio":"",
         "fetchAudioDelay":0,
         "fetchAudioMinimum":0,
         "fetchAudioInterval":0
      },
      "defaultErrorBehaviour":{
         "audio":"",
         "tts":"ssml",
         "transfer":false
      },
      "firstConversationRequest":{
         "text":"",
         "code":"%EVA_WELCOME_MSG",
         "entities":{
            
         },
         "context":{
            
         }
      },
      "conversationProperties":{
         "headers":{
            "API-KEY":"***",
            "OS":"evg",
            "LOCALE":"pt-BR"
         },
         "conversationUrl":"https://api-dev-instance1.eva.bot/eva-broker/org/2fbe99b2-ea98-484f-b392-f649f1844e03/env/f5317429-55bb-4418-a7ca-00f6992388b2/bot/80d9ab14-5374-402a-9a93-6f1dc77f7675/channel/47a77735-d652-4c6c-a283-4d18028a3b18/v1/conversations"
      },
      "conversationAuthProperties":{
         "keycloakUrl":"https://keycloak-dev-admin.eva.bot/auth/realms/everis/protocol/openid-connect/token",
         "secret":"***",
         "clientId":"***"
      },
      "regionalExpressionsFileUrl":"https://***/regional-expressions.json",
      "welcomeTimeout":5000,
      "conversationTimeout":30000
   }
}js
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-conversational-ai.syntphony.com/voice-gateway/evg-connector/configure-dnis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
